List organization api tokens
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/apiToken \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/apiToken"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/apiToken', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"role_name": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Organization Api Token
List organization api tokens
List organization api tokens
GET
/
organization
/
{organizationId}
/
apiToken
List organization api tokens
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Query Parameters
Name of the token to filter results by.
Name of the token creator to filter results by.
Response
List organization api tokens
Show child attributes
Show child attributes
Was this page helpful?
⌘I